# PaymentRequestMaskedValueRequest class

Request used to retrieve the masked value of a field in a PaymentRequest.

Annotations
  - @JsonSerializable(explicitToJson: true)

## Constructors

PaymentRequestMaskedValueRequest(PaymentRequest request, String fieldId)
PaymentRequestMaskedValueRequest.fromJson(Map<String, dynamic> json)
  factory
PaymentRequestMaskedValueRequest.maskedValue(PaymentRequest request, String fieldId)
PaymentRequestMaskedValueRequest.unmaskedValue(PaymentRequest request, String fieldId)

## Properties

fieldId → String
  final
hashCode → int
  The hash code for this object.
  read-only inherited
request → PaymentRequest
  final
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited